# frozen_string_literal: true

require "dry/container"

module FLACsmith
  module CLI
    module Actions
      # Provides a single container with application and action specific dependencies.
      module Container
        extend Dry::Container::Mixin

        merge FLACsmith::Container

        register(:encode) { Encode.new }
        register(:list) { List.new }
        register(:rebuild) { Rebuild.new }
      end
    end
  end
end
