# frozen_string_literal: true

module FLACsmith
  module CLI
    module Actions
      # Handles the encode action.
      class Encode
        include FLACsmith::Import[:logger]

        def initialize encoder: Encoders::Album, **dependencies
          super(**dependencies)
          @encoder = encoder
        end

        def call source_dir, target_dir, image_path: nil
          logger.info { "Encoding: #{source_dir} to #{target_dir}..." }
          encoder.new(input_dir: source_dir, output_dir: target_dir, image_path:).call
        end

        private

        attr_reader :encoder
      end
    end
  end
end
