# frozen_string_literal: true

require "refinements/structs"

module FLACsmith
  module CLI
    module Parsers
      # Handles parsing of Command Line Interface (CLI) encode options.
      class Encode
        using Refinements::Structs

        def self.call(...) = new(...).call

        def initialize configuration = Container[:configuration], client: Parser::CLIENT
          @configuration = configuration
          @client = client
        end

        def call arguments = []
          client.separator "\nENCODE OPTIONS:\n"
          add_image
          client.parse arguments
          configuration
        end

        private

        attr_reader :configuration, :client

        def add_image
          client.on "-i", "--image PATH", "Album image file path." do |path|
            configuration.merge! image_path: path
          end
        end
      end
    end
  end
end
