# frozen_string_literal: true

require "pathname"
require "refinements/hashes"
require "refinements/structs"
require "runcom"
require "yaml"

module FLACsmith
  module Configuration
    # Represents the fully assembled Command Line Interface (CLI) configuration.
    class Loader
      def self.call = new.call

      def initialize content: Content.new
        @content = content
      end

      def call = content

      private

      attr_reader :content
    end
  end
end
