# frozen_string_literal: true

require "refinements/pathnames"

module FLACsmith
  module Metadata
    # Builds metadata for all file of a given path.
    class Builder
      using Refinements::Pathnames

      attr_reader :paths

      def initialize path
        @paths = path.files "**/*.flac"
      end

      def call = files.each { |file| Tagger.new(file).update file.tags }

      private

      def files = paths.map { |path| File.new path }
    end
  end
end
